Reorder Verification Rules
curl --request POST \
--url https://api.conduit.ai/v1/workspaces/{workspace_id}/verification-rules/reorder \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"id": "<string>",
"expected_updated_at": 1
}
]
}
'import requests
url = "https://api.conduit.ai/v1/workspaces/{workspace_id}/verification-rules/reorder"
payload = { "items": [
{
"id": "<string>",
"expected_updated_at": 1
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({items: [{id: '<string>', expected_updated_at: 1}]})
};
fetch('https://api.conduit.ai/v1/workspaces/{workspace_id}/verification-rules/reorder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"workspace_id": "<string>",
"name": "<string>",
"enabled": true,
"order": 123,
"targeting": {
"bookingChannels": [
"<string>"
],
"minNights": 1,
"maxNights": 1,
"maxBookingLeadDays": 1,
"matchUnknownBookingLeadTime": true,
"listingIds": [
"<string>"
],
"listingGroupIds": [
"<string>"
]
},
"config": {
"title": "<string>",
"instructions": "<string>",
"requireContactPhoto": true,
"autoApprove": true,
"provider": "<string>"
},
"created_at": 123,
"updated_at": 123,
"exclude_returning_guests": true
}
]
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}Verification Rules
Reorder Verification Rules
Set the evaluation order for all verification rules in a workspace.
POST
/
v1
/
workspaces
/
{workspace_id}
/
verification-rules
/
reorder
Reorder Verification Rules
Authorizations
Conduit API token. Use Authorization: Bearer <token>. Read/write endpoints require a token with write access.
Path Parameters
Workspace identifier
Minimum string length:
1Body
application/json
Every rule in the workspace, in the requested order
Minimum array length:
1Show child attributes
Show child attributes
Response
Reorder Verification Rules
Show child attributes
Show child attributes
Was this page helpful?
⌘I